import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  data: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const ProcedureTimeslotCountAggregateInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotCountAggregateInputType>;
export const ProcedureTimeslotCountAggregateInputObjectZodSchema = makeSchema();
